Home

# Class goog.crypt.BlobHasher

Construct the hash computer.

extends goog.events.EventTarget

Instance Method Summary
| `abort()` Abort hash computation.
| `getBytesProcessed() ⇒ number`
| `getHash() ⇒ ?Array.<number>`
| `hash(!Blob blob)` Start the hash computation.
| `onLoad_()` Handle processing block loaded.
| `processNextBlock_()` Helper function setting up the processing for the next block, or finalizing the computation if all blocks were processed.